import { Command } from "@oclif/command";
import { IDocs } from "types";
export default class Docs extends Command {
    static docs: IDocs;
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
    private action;
    private express;
}
