import { Command } from "@oclif/command";
import { IDocs } from "types";
export default class Hbs extends Command {
    static docs: IDocs;
    static description: string;
    static examples: string[];
    static flags: {
        javascript: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        typescript: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        install: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
    private initializePrompt;
    private resolveFlagsToOptions;
    private initializeAction;
}
