import { Command } from "@oclif/command";
import { ICommand, IDocs } from "types";
export default class Html extends Command {
    static docs: IDocs;
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
    static command({ args, flags }: ICommand): Promise<void>;
    private static formAction;
}
