"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateBabel = void 0;
const fragments_1 = require("./../../templates/babel/fragments");
exports.generateBabel = (options, path = ".") => {
    // Files
    const stampVars = {
        babelPresetReact: options.isReact ? fragments_1.babelPresetReact : ""
    };
    const files = [["/babel/core", path, stampVars]];
    // Packages
    let devPackages = ["@babel/core", "babel-core@^7.0.0-bridge.0", "@babel/preset-env"];
    const prodPackages = [];
    if (options.isReact) {
        devPackages = [...devPackages, "@babel/preset-react"];
    }
    return {
        files,
        devPackages,
        prodPackages
    };
};
