"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTsConfig = void 0;
// Project
const fragments_1 = require("./../../templates/tsConfig/fragments");
exports.generateTsConfig = (options, path = ".") => {
    const vars = {
        tsConfigJsxReact: options.isReact ? fragments_1.tsConfigJsxReact : "",
        tsConfigFilesVueShim: options.isVue ? fragments_1.tsConfigFilesVueShim : ""
    };
    const files = [["/tsConfig/core", path, vars]];
    return {
        files,
        devPackages: [],
        prodPackages: []
    };
};
