"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getResolve = void 0;
const transforms_1 = require("../../../utils/transforms");
exports.getResolve = (opt) => `
  {
    alias: ${transforms_1.arrayToInStringArray([opt.isVue ? '"alias: vue/dist/vue.esm.js,"' : undefined])},
    extensions: ${transforms_1.arrayToInStringArray([
    '".js"',
    opt.isReact ? '".jsx"' : undefined,
    opt.isTypescript ? '".ts"' : undefined,
    opt.isReact && opt.isTypescript ? '".tsx"' : undefined,
    opt.isVue ? '".vue"' : undefined,
    '".json"'
])},
    mainFields: ${transforms_1.arrayToInStringArray([opt.isWeb ? '"browser"' : undefined, '"main"', '"module"'])},
    plugins: ${transforms_1.arrayToInStringArray([
    opt.isTypescript ? 'new TsconfigPathsPlugin({ configFile: path.join(dir, "tsconfig.json") })' : undefined
])}
  }
`;
