export const loadExternalScript = (url: string) => {
  const script = document.createElement("script");
  script.src = url;
  script.type = "text/javascript";
  document.body.appendChild(script);
  console.info(`Loaded external script: ${url}`);
};

export const loadExternalStylesheet = (url: string) => {
  const link = document.createElement("link");
  link.href = url;
  link.rel = "stylesheet";
  link.type = "text/css";
  document.head.appendChild(link);
  console.info(`Loaded external stylesheet: ${url}`);
};
