import { Command } from "@oclif/command";
import { IDocs, IFlags } from "types";
interface ICommand {
    flags: IFlags;
}
export default class Lisp extends Command {
    static docs: IDocs;
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
    static command({ flags }: ICommand): Promise<void>;
    private static action;
}
export {};
