"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.install = void 0;
const scaffolder_1 = require("./../engine/scaffolder");
const npm_1 = require("./../engine/npm");
exports.install = async (files, devPackages, prodPackages, flags, path = ".") => {
    const isSuccess = await scaffolder_1.stageAndScaffold(files, flags);
    if (!flags["dry-run"] && isSuccess) {
        await npm_1.npmInstallProd(prodPackages, flags, path);
        await npm_1.npmInstallDev(devPackages, flags, path);
    }
};
