"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hintFlag = exports.standardFlags = exports.javascriptFlags = exports.installFlag = void 0;
const command_1 = require("@oclif/command");
exports.installFlag = {
    install: command_1.flags.boolean({ char: "i", description: "Active install instead of dep add" })
};
exports.javascriptFlags = {
    javascript: command_1.flags.boolean({ char: "j", description: "force javascript templates" }),
    typescript: command_1.flags.boolean({ char: "t", description: "force typescript templates" })
};
exports.standardFlags = {
    help: command_1.flags.help({ char: "h" }),
    force: command_1.flags.boolean({ char: "f", description: "force install and overwrite" }),
    "dry-run": command_1.flags.boolean({ char: "d", description: "preview install with no changes" })
};
exports.hintFlag = {
    help: command_1.flags.help({ char: "H", description: "include hints" })
};
