"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = void 0;
const chalk = require("chalk");
const _log = require("woodchuck");
_log.config.setOptions({
    logWarnFn: payload => _log.warn(Object.assign(Object.assign({}, payload), { message: chalk.yellow(payload.message) })),
    logErrorFn: payload => _log.error(Object.assign(Object.assign({}, payload), { message: chalk.yellow(payload.message) }))
});
exports.log = _log;
exports.default = _log;
