"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapObjAnyToObjString = exports.arrayToInStringArray = exports.arrayToLines = void 0;
exports.arrayToLines = (str, delimiter = "\n") => str.filter(i => i !== undefined).join(delimiter);
exports.arrayToInStringArray = (str, delimiter = ", ") => `[${str
    .filter(i => Boolean(i))
    .map(i => `${i}`)
    .join(delimiter)}]`;
exports.mapObjAnyToObjString = (items) => Object.fromEntries(Object.keys(items).map(key => [key, String(items[key])]));
